class Animation implements Animateable, Triggerable {
  char triggerKey;
  int animationCounter;
  SoundFile sound;
  
  public Animation (char triggerKey, SoundFile s) {
    this.triggerKey = triggerKey;
    animationCounter = 0;
    sound = s;
  }
  void start (char keyInput) {
    if (keyInput == triggerKey && animationCounter == 0) {
      animationCounter = 1;
      sound.play();
    }
  }
  void stop (char keyInput) {
    if (keyInput == triggerKey) {
      animationCounter = 0;
    }
  }
  void animate () {}
}
